'use strict';

/**
 * slice the array into some chunks with length of num
 * @param {Array} list
 * @param {Number} num
 */
var chunk = function chunk(list, num) {
  if (!list || !list.length) return [];
  if (!num) return list;
  var result = [];

  for (var i = 0, len = list.length; i < len; i += num) {
    var index = i;
    var ceil = Math.min(i + num, len);
    var slicing = [];

    while (index < ceil) {
      slicing.push(list[index++]);
    }

    result.push(slicing);
  }

  return result;
};

module.exports = chunk;
