'use strict';

var _rollupPluginBabelHelpers = require('./internal/_rollupPluginBabelHelpers.js');

var forEach = function forEach(target, cb) {
  var len = target.length;
  var i = 0;

  while (i < len) {
    cb(target[i], i++, target);
  }
};
/**
 * 深拷贝 (不拷贝：函数、正则对象、日期对象...)
 * @param {Object} target
 */


var cloneDeep = function cloneDeep(target) {
  // 非对象类型
  if (target === null || _rollupPluginBabelHelpers._typeof(target) !== 'object' || typeof target === 'function') {
    return target;
  } // 普通对象与数组克隆


  var isArray = Array.isArray(target);
  var list = isArray ? undefined : Object.keys(target);
  var result = isArray ? [] : {};
  forEach(list || target, function (val, key) {
    if (!isArray) {
      key = val;
    }

    result[key] = cloneDeep(target[key]);
  });
  return result;
};

module.exports = cloneDeep;
