'use strict';

/**
 * 函数防抖
 * @param {Function} fn 需要截流的函数
 * @param {Number} wait 等待时长 单位ms
 */
var debounce = function debounce(fn, wait) {
  var timer;
  return function () {
    var context = this;
    var args = arguments;
    if (timer) clearTimeout(timer);
    timer = setTimeout(function () {
      return fn.apply(context, args);
    }, wait);
  };
};

module.exports = debounce;
