import { h as handleSearch } from './internal/_handleSearch.js';

/**
 * 转换url
 * @param {String} url
 */

var parseUrl = function parseUrl(url) {
  if (typeof url !== 'string') return null;
  var a = document.createElement('a');
  a.href = url;
  var result = ['protocol', 'host', 'origin', 'port', 'pathname', 'search', 'hash'].reduce(function (ret, k) {
    ret[k] = a[k];
    return ret;
  }, {});
  result.query = result.search ? handleSearch(result.search.slice(1)) : {};
  result.hash = result.hash ? result.hash.slice(1) : '';
  return result;
};

export default parseUrl;
