'use strict';

/**
 * 获取url的参数
 * @param {String} url
 * @param {String} key
 * From https://stackoverflow.com/questions/901115/how-can-i-get-query-string-values-in-javascript
 */
var getUrlParam = function getUrlParam(url, key) {
  if (!url || !key) return null; // eslint-disable-next-line no-useless-escape

  key = key.replace(/[\[\]]/g, '\\$&');
  var regex = new RegExp('[?&]' + key + '(=([^&#]*)|&|#|$)');
  var results = regex.exec(url);
  if (!results) return null;
  if (!results[2]) return '';
  return decodeURIComponent(results[2].replace(/\+/g, ' '));
};

module.exports = getUrlParam;
