'use strict';

var chunk = require('./chunk.js');
var remove = require('./remove.js');
var removeIndex = require('./removeIndex.js');
var random = require('./random.js');
var shuffle = require('./shuffle.js');
var debounce = require('./debounce.js');
var ua = require('./ua.js');
var isAndroid = require('./isAndroid.js');
var isDingTalk = require('./isDingTalk.js');
var isEdge = require('./isEdge.js');
var isIE = require('./isIE.js');
var isIOS = require('./isIOS.js');
var isIpad = require('./isIpad.js');
var isMobile = require('./isMobile.js');
var isPC = require('./isPC.js');
var isQQ = require('./isQQ.js');
var isWeixin = require('./isWeixin.js');
var throttle = require('./throttle.js');
var getCookie = require('./getCookie.js');
var parseCookie = require('./parseCookie.js');
var setCookie = require('./setCookie.js');
var getType = require('./getType.js');
var isEmpty = require('./isEmpty.js');
var isTypeof = require('./isTypeof.js');
var inRange = require('./inRange.js');
var midNumber = require('./midNumber.js');
require('./internal/_rollupPluginBabelHelpers.js');
var extend = require('./extend.js');
var clone = require('./clone.js');
var cloneDeep = require('./cloneDeep.js');
var getValue = require('./getValue.js');
var isEqual = require('./isEqual.js');
var omit = require('./omit.js');
var randomColor = require('./randomColor.js');
var randomKey = require('./randomKey.js');
var isEmail = require('./isEmail.js');
var isImage = require('./isImage.js');
var isNumber = require('./isNumber.js');
var isPhone = require('./isPhone.js');
var getUrlParam = require('./getUrlParam.js');
require('./internal/_handleSearch.js');
var parseQuery = require('./parseQuery.js');
var parseUrl = require('./parseUrl.js');
var setUrlParam = require('./setUrlParam.js');

var index = {
  ua: ua,
  isMobile: isMobile,
  isPC: isPC,
  isIE: isIE,
  isEdge: isEdge,
  isIOS: isIOS,
  isIpad: isIpad,
  isAndroid: isAndroid,
  isWeixin: isWeixin,
  isQQ: isQQ,
  isDingTalk: isDingTalk,
  debounce: debounce,
  throttle: throttle,
  getType: getType,
  isTypeof: isTypeof,
  isEmpty: isEmpty,
  inRange: inRange,
  midNumber: midNumber,
  extend: extend,
  clone: clone,
  cloneDeep: cloneDeep,
  getValue: getValue,
  omit: omit,
  isEqual: isEqual,
  chunk: chunk,
  remove: remove,
  removeIndex: removeIndex,
  shuffle: shuffle,
  random: random,
  randomColor: randomColor,
  randomKey: randomKey,
  isEmail: isEmail,
  isNumber: isNumber,
  isPhone: isPhone,
  isImage: isImage,
  getCookie: getCookie,
  setCookie: setCookie,
  parseCookie: parseCookie,
  parseUrl: parseUrl,
  parseQuery: parseQuery,
  getUrlParam: getUrlParam,
  setUrlParam: setUrlParam
};

module.exports = index;
