'use strict';

/**
 * set cookie
 * @param {String} name
 * @param {String} value
 * @param {Object} option
 */
var setCookie = function setCookie(name, value) {
  var option = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var cookieText = "".concat(encodeURIComponent(name), "=").concat(encodeURIComponent(value));
  var expires = option.expires,
      path = option.path,
      domain = option.domain,
      secure = option.secure;

  if (expires) {
    var expireText = expires instanceof Date ? expires.toGMTString() : expires;
    cookieText += "; expires=".concat(expireText);
  }

  if (path) {
    cookieText += "; path=".concat(path);
  }

  if (domain) {
    cookieText += "; domain=".concat(domain);
  }

  if (secure) {
    cookieText += '; secure';
  }

  document.cookie = cookieText;
};

module.exports = setCookie;
