'use strict';

/**
 * 节流
 * @param {Function} fn 被节流的函数
 * @param {Number} wait 时间间隔
 */
var throttle = function throttle(fn, wait) {
  wait = wait || 0;
  var prev = 0;
  return function () {
    var context = this;
    var args = arguments;
    var now = +new Date();

    if (now - prev > wait) {
      prev = now;
      return fn.apply(context, args);
    }
  };
};

module.exports = throttle;
